Skip to content

Customer

This resource represents a customer of your business. The customer can be an individual or a business from whom you will receive payments.

Customer

idstringread-only

The unique identifier for the customer.

Example:"cust_5JU9yv0lGSUP"
namestring

The name of the customer.

Example:"John Doe"
customer_typestring

The type of customer

Enum:"individual""business"
emailstring, (email)

The email address of the customer.

Example:"customer@gmail.com"
phonestring

The phone number of the customer, with country code. Phone number validation is done using the phonelib library.

Example:"+91-9023456789"
dobstring

The date of birth of the customer

Example:"2003-11-29"
nationalitystring

The nationality of the customer

Example:"IND"
tax_identification_numberstring

Applicable only to the LRS (Liberalised Remittance Scheme / resident-India remittance) flow. The customer's PAN (tax identification number), populated only for customers onboarded under LRS and absent otherwise. Searchable via the tax_identification_number query parameter on the list-customers endpoint.

Example:"BFQPG7654R"
addressstring

The street address of the customer.

Example:"123 Main St"
citystring

The city where the customer is located.

Example:"Anytown"
statestring

The state where the customer is located.

Example:"Anystate"
countrystring, (iso-3166-1-alpha-3)

The country where the customer is located. Country should be sent as a ISO 3166-1 alpha-3 code.

Example:"IND"
pincodestring

The postal code/pincode of the customer's address. List of countries where pincode is mandatory are listed here.

Example:"560048"
statusstringread-only

The status of the customer.

Example:"active"
created_atstring, (timestamp)read-only

Timestamp representing when the customer was created

Example:"2021-06-01T12:00:00Z"
updated_atstring, (timestamp)read-only

Timestamp representing when the customer was last updated

Example:"2021-06-01T12:00:00Z"
{ "id": "cust_5JU9yv0lGSUP", "name": "John Doe", "customer_type": "individual", "email": "customer@gmail.com", "phone": "+91-9023456789", "dob": "2003-11-29", "nationality": "IND", "tax_identification_number": "BFQPG7654R", "address": "123 Main St", "city": "Anytown", "state": "Anystate", "country": "IND", "pincode": "560048", "status": "active", "created_at": "2021-06-01T12:00:00Z", "updated_at": "2021-06-01T12:00:00Z" }